Subject: "unable to fork" on armhf
From: Efraim Flashner <[email-masked]>
To: [email-masked]
Date: Thu, 4 Jun 2015 22:20:31 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

I have an armhf marsboard that I'm trying to run guix on top of debian. I
started by flashing a debian wheezy image, stripping out most of the
packages, and upgrading to jessie. I installed using the 0.8.2 armhf binary.
`guix pull` failed with the error "unable to fork: Invalid argument", and
likewise `guix build hello` also failed. I've included strace logs.

I ran `sudo strace -o log /root/.guix-profile/bin/guix-daemon
--build-users-group=guix-builder &`  and `strace -o hello guix build hello`
and I've attached both of them to the email.

uname -a:
Linux marsboard 3.0.36+ #67 SMP PREEMPT Sat Dec 13 10:01:50 HKT 2014 armv7l
GNU/Linux

ldd --version:
ldd (Debian GLIBC 2.19-18) 2.19

cat /proc/cpuinfo:
Processor	: ARMv7 Processor rev 0 (v7l)
processor	: 0
BogoMIPS	: 503.83

processor	: 1
BogoMIPS	: 503.83

Features	: swp falf thumb fastmult vfp edsp neon vfpv3
CPU implementer	: 0x41
CPU architecture: 7
CPU variant	: 0x3
CPU part	: 0xc09
CPU revision	: 0

Hardware	: RK30board
Revision	: 0000
Serial		: 0000000000000000

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted